Why am I Receiving "Error from repoquery:" when Using 'Yum' Module with Ansible Engine?

Solution Verified - Updated -

Issue

The following error occurs when using yum module in Ansible Engine:

"msg": "Error from repoquery: ['/usr/bin/repoquery', '--show-duplicates', '--plugins', '--quiet', '-c', None, '--disablerepo', '', '--enablerepo', '', '--qf', '%{epoch}:%{name}-%{version}-%{release}.%{arch}', 'package-name']: Error accessing file for config file:///home/user/--disablerepo\nError accessing file for config file:///home/user/--disablerepo\n"

Environment

Ansible Engine == 2.7.0

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In